> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Score de crédit CRC

> Récupérez le score de crédit FICO d'un individu auprès du bureau CRC à l'aide de son BVN.

L'endpoint Score de crédit CRC renvoie le score de crédit FICO d'un individu auprès du bureau CRC, accompagné d'une notation, des facteurs contributifs et d'un résumé de prêt.

## Endpoint

```
POST /api/onboarding/individual/credit_scores_crc/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre | Type   | Requis | Description                                                     |
| --------- | ------ | ------ | --------------------------------------------------------------- |
| `bvn`     | string | Oui    | Le numéro d'identification bancaire à 11 chiffres de l'individu |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/credit_scores_crc/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"bvn": "22244545518"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                                      | Type   | Description                                              |
| ------------------------------------------ | ------ | -------------------------------------------------------- |
| `data.name`                                | string | Nom complet                                              |
| `data.score.totalNoOfDelinquentFacilities` | number | Nombre de facilités en impayé                            |
| `data.score.hasLoans`                      | string | Si l'individu a des prêts actifs (`"YES"` ou `"NO"`)     |
| `data.score.ficoScore.score`               | number | Score de crédit FICO numérique                           |
| `data.score.ficoScore.rating`              | string | Notation de crédit (p. ex. `"GOOD"`, `"FAIR"`, `"POOR"`) |
| `data.score.ficoScore.reasons`             | string | Facteurs influençant le score                            |
| `data.score.lastReportedDate`              | string | Date du dernier rapport du bureau                        |
| `data.score.crcReportOrderNumber`          | string | Numéro de commande du rapport CRC                        |

```json theme={null}
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "ADELEKE EMMANUEL AYORINDE",
    "gender": "Male",
    "dateOfBirth": "29/12/1994",
    "score": {
      "totalNoOfDelinquentFacilities": 0,
      "hasLoans": "YES",
      "ficoScore": {
        "score": 717,
        "rating": "GOOD",
        "reasons": "Applicant is young relative to other applicants scored. The length of time accounts have been established is short."
      },
      "lastReportedDate": "30-SEP-2023",
      "crcReportOrderNumber": "W-0097887747/2023"
    },
    "searchedDate": "2023-11-23T14:25:54.210Z"
  },
  "message": "Credit Scores individual CRC report details retrieved successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/individual/credit_scores_crc/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/individual/credit_scores_crc/:
    post:
      tags:
        - Individual Credit
      summary: CRC Credit Score
      operationId: creditScoresCRC
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - bvn
              properties:
                bvn:
                  type: string
                  example: '22244545518'
      responses:
        '200':
          description: CRC credit score retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````